New URL for NEMO forge!   http://forge.nemo-ocean.eu

Since March 2022 along with NEMO 4.2 release, the code development moved to a self-hosted GitLab.
This present forge is now archived and remained online for history.
#2050 (read namelists using single processor) – NEMO

Opened 5 years ago

Closed 3 years ago

#2050 closed Task (duplicate)

read namelists using single processor

Reported by: andmirek Owned by: andmirek
Priority: low Milestone: Unscheduled
Component: OCE Version: trunk
Severity: minor Keywords:
Cc:

Description

Context

In NEMO namelists are read by all processors. This ticket is to implement reading of the namelists by single processors and broadcasting the data.

Implementation plan

a) Read namelist using single processor
b) broadcast the data to all processors.

This task will require an extension of lib_mpp.F90. New subroutines are needed to handle broadcasting of different types of data (from namelists).

Commit History (7)

ChangesetAuthorTimeChangeLog
9443andmirek2018-03-27T16:45:12+02:00

#2050 move sbc_init to original place

9395andmirek2018-03-14T09:40:56+01:00

#2050 move sbc_init

9387andmirek2018-03-08T13:36:26+01:00

#2050 changes for sette 3 to work

9383andmirek2018-03-08T10:22:55+01:00

#2050 fixes and changes

9366andmirek2018-02-28T16:29:13+01:00

#2050 first version. Compiled OK in moci test suite

9358andmirek2018-02-26T12:49:05+01:00

#2050 wrong reference branch

9357andmirek2018-02-26T12:34:25+01:00

#2050 read namelist using single procerssor

Change History (13)

comment:1 Changed 5 years ago by andmirek

  • Status changed from new to assigned
  • Summary changed from namelists using single processor to read namelists using single processor

comment:2 Changed 5 years ago by andmirek

In 9357:

Error: Failed to load processor CommitTicketReference
No macro or processor named 'CommitTicketReference' found

comment:3 Changed 5 years ago by andmirek

comment:4 Changed 5 years ago by andmirek

In 9358:

Error: Failed to load processor CommitTicketReference
No macro or processor named 'CommitTicketReference' found

comment:6 Changed 5 years ago by andmirek

In 9366:

Error: Failed to load processor CommitTicketReference
No macro or processor named 'CommitTicketReference' found

comment:7 Changed 5 years ago by andmirek

In 9383:

Error: Failed to load processor CommitTicketReference
No macro or processor named 'CommitTicketReference' found

comment:8 Changed 5 years ago by andmirek

In 9387:

Error: Failed to load processor CommitTicketReference
No macro or processor named 'CommitTicketReference' found

comment:9 Changed 5 years ago by andmirek

In 9395:

Error: Failed to load processor CommitTicketReference
No macro or processor named 'CommitTicketReference' found

comment:10 Changed 5 years ago by andmirek

In 9443:

Error: Failed to load processor CommitTicketReference
No macro or processor named 'CommitTicketReference' found

comment:11 Changed 5 years ago by andmirek

It looks that sbc_init must be called before the first mpi communication associated with namelist read. Unfortunately moving sbc_init results in result change for GO6. The problem seems to be only during restart, first cycle was OK

comment:12 Changed 4 years ago by andmirek

  • Version changed from v3.6 to trunk

comment:13 Changed 3 years ago by andmirek

  • Resolution set to duplicate
  • Status changed from assigned to closed
Note: See TracTickets for help on using tickets.